Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Justin Lecher" <jlec@g.o>
Subject: proj/sci:master commit in: dev-lang/vtune/
Date: Fri, 27 Apr 2012 11:42:16 +0000 (UTC)
commit:     536bdeaaf6993fb2f30112be9d17ca1bf872f45f
Author:     Nicolas Bigaouette <nbigaouette <AT> gmail <DOT> com>
AuthorDate: Wed Apr 25 19:08:22 2012 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Apr 25 19:08:22 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=536bdeaa

Put symbolic links in /usr/bin and create .desktop file.

---
 dev-lang/vtune/vtune-11.0.7.221625.ebuild |   33 +++++++++++++++++++++++++++++
 1 files changed, 33 insertions(+), 0 deletions(-)

diff --git a/dev-lang/vtune/vtune-11.0.7.221625.ebuild b/dev-lang/vtune/vtune-11.0.7.221625.ebuild
index 73d2506..1d38c36 100644
--- a/dev-lang/vtune/vtune-11.0.7.221625.ebuild
+++ b/dev-lang/vtune/vtune-11.0.7.221625.ebuild
@@ -35,3 +35,36 @@ QA_PRESTRIPPED="
 INTEL_BIN_RPMS="vtune-amplifier-xe-cli vtune-amplifier-xe-gui"
 INTEL_DAT_RPMS="vtune-amplifier-xe-sep vtune-amplifier-xe-pwr vtune-amplifier-xe-cli-common vtune-amplifier-xe-common vtune-amplifier-xe-doc vtune-amplifier-xe-gui-common"
 INTEL_RPMS_DIRS="rpm CLI_install/rpm"
+
+
+create_bin_symlink() {
+    _libdir=$(get_libdir)
+    _arch=${_libdir/lib/}
+    dosym /${INTEL_SDP_DIR}/bin${_arch}/${1} /usr/bin/
+}
+
+src_install() {
+    intel-sdp_src_install
+
+    # Create symbolic links
+    create_bin_symlink amplxe-gui
+    create_bin_symlink amplxe-cl
+    create_bin_symlink amplxe-configurator
+    create_bin_symlink amplxe-feedback
+    create_bin_symlink amplxe-runsa
+    create_bin_symlink amplxe-runss
+
+    # Create desktop file
+    insinto /usr/share/pixmaps/
+    newins ${D}/${INTEL_SDP_DIR}/documentation/en/help/GUID-A894E299-C7E2-4635-AD52-D98A09736EC8-low.jpg vtune.jpg
+    dodir /usr/share/applications
+    echo "[Desktop Entry]
+Encoding=UTF-8
+Name=VTune Amplifier XE
+GenericName=VTune Amplifier XE
+Comment=VTune Amplifier XE
+Type=Application
+Exec=amplxe-gui
+Icon=vtune
+Categories=Development;Debugger;" > ${D}/usr/share/applications/vtune.desktop || die "Can't create desktop file!"
+}


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in net-misc/bfgminer/files: - New directory
Next by thread:
proj/sci:master commit in: dev-lang/vtune/
Previous by date:
gentoo-x86 commit in profiles: license_groups ChangeLog
Next by date:
proj/sci:master commit in: /


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.